Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

# Class DerivedCircuitBreakerOnClassNoAnnotationOnOverriddenMethod

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClass
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.DerivedCircuitBreakerOnClassNoAnnotationOnOverriddenMethod

All Implemented Interfaces:
  `CircuitBreakerLifecycleService`

@Dependent @Typed(DerivedCircuitBreakerOnClassNoAnnotationOnOverriddenMethod.class) public class DerivedCircuitBreakerOnClassNoAnnotationOnOverriddenMethod extends BaseCircuitBreakerOnClass

## Constructor Summary

Constructors
Constructor
Description
`DerivedCircuitBreakerOnClassNoAnnotationOnOverriddenMethod()`

## Method Summary

Modifier and Type
Method
Description
`void`
`service()`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnClass

`instanceId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DerivedCircuitBreakerOnClassNoAnnotationOnOverriddenMethod

public DerivedCircuitBreakerOnClassNoAnnotationOnOverriddenMethod()

## Method Details

### service

public void service() throws IOException

Specified by:
  `service` in interface `CircuitBreakerLifecycleService`
Overrides:
  `service` in class `BaseCircuitBreakerOnClass`
Throws:
  `IOException`